Skip to main content

Report Definitions


You can view a list of supported reports and their attributes before subscribing to them. You can also view the attributes of an individual report type. The response includes the report definition name, available fields, supported Multipurpose Internet Mail Extensions (MIME) types, and whether the report type supports custom fields.

View All Report Definitions

For a summary of all reports, the request format is:

GET /reporting/v3/report-definitions?organizationId={organizationId}

GET /reporting/v3/report-definitions?organizationId={organizationId}

GET /reporting/v3/report-definitions?organizationId={organizationId}

URL Parameters

ParameterDescriptionRequired/Optional
{organizationId}The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID.Optional

Responses

This request can return one of these HTTP status codes:

  • 200: OK
  • 400: Invalid request
  • 404: Report not found

View a Single Report Definition

For the attributes of a single report type, the request format is:

GET /reporting/v3/report-definitions/{reportDefinitionName}?organizationId={organizationId}&download=true

GET /reporting/v3/report-definitions/{reportDefinitionName}?organizationId={organizationId}&download=true

GET /reporting/v3/report-definitions/{reportDefinitionName}?organizationId={organizationId}&download=true

URL Parameters

ParameterDescriptionRequired/Optional
{reportDefinitionName}Name of the report type to retrieve. See valid values below.Required
{organizationId}The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID.Optional
{download}When true, returns the report definition as a downloadable file. Default: false.Optional

Valid values for {reportDefinitionName}:

  • TransactionRequestClass: Transaction Request Report
  • PaymentBatchDetailClass: Payment Batch Detail Report
  • ExceptionDetailClass: Transaction Exception Detail Report
  • ProcessorSettlementDetailClass: Processor Settlement Detail Report
  • ProcessorEventsDetailClass: Processor Events Detail Report
  • FundingDetailClass: Funding Detail Report
  • AgingDetailClass: Aging Detail Report
  • ChargebackAndRetrievalDetailClass: Chargeback And Retrieval Detail Report
  • DepositDetailClass: Deposit Detail Report
  • FeeDetailClass: Fee Detail Report
  • InvoiceSummaryClass: Invoice Summary Report
  • PayerAuthDetailClass: Payer Authentication Detail Report
  • ConversionDetailClass: Conversion Detail Report
  • SubscriptionDetailClass: Subscription Detail Report
  • ServiceFeeDetailClass: Service Fee Detail Report
  • GatewayTransactionRequestClass: Gateway Transaction Request Report
  • DecisionManagerEventDetailClass: Event Detail Report
  • RecurringBillingDetailClass: Recurring Billing Details Report
  • JPTransactionDetailClass: JP Transaction Detail Report

Responses

This request can return one of these HTTP status codes:

  • 200: OK
  • 400: Invalid request
  • 404: Report not found

For detailed information on the responses, including which fields are returned, see the Field Reference.

Last published: September 29, 2026